=== debian/changelog ===
mathcomp (1.5-4build1) xenial; urgency=medium

  * No-change rebuild against new coq

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 12 Nov 2015 12:11:34 +0000

mathcomp (1.5-4) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.02.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 17 Oct 2015 10:58:44 +0200

mathcomp (1.5-3) unstable; urgency=medium

  * Team upload
  * Recompile with coq 8.4pl4

 -- Stéphane Glondu <glondu@debian.org>  Mon, 04 Aug 2014 09:02:22 +0200

mathcomp (1.5-2) unstable; urgency=medium

  * Add dependency over libssreflect-coq (Closes: #742105) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 19 Mar 2014 15:03:48 +0100

mathcomp (1.5-1) unstable; urgency=medium

  * Fix copyright file (I'm the packager, even if I've copied much from
    the ssreflect package Stephane made). 
  * Initial package (Closes: #741345)

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 11 Mar 2014 14:30:20 +0100
