=== debian/control ===
Source: mathcomp
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends:
 debhelper (>= 8),
 coq (>= 8.4),
 libssreflect-coq (>= 1.5)
Standards-Version: 3.9.5
Section: math
Homepage: http://www.msr-inria.fr/projects/mathematical-components/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/mathcomp.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/mathcomp.git

Package: libmathcomp-coq
Architecture: all
Depends:
 libssreflect-coq (>= 1.5), libssreflect-coq (<< 1.6),
 coq-${F:CoqABI},
 ${misc:Depends}
Description: Mathematical Components library for Coq (theories)
 The Mathematical Components library is an extensive library of
 formalized mathematics built using the Ssreflect extension for
 the Coq system.
