=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/coq/coqvars.mk

export COQTOP := $(COQ_STDLIB_DIR)
export COQLIB := $(COQ_STDLIB_DIR)
export COQBIN := /usr/bin/

PACKAGES := $(shell dh_listpackages)

INSTALL_DIR := $(CURDIR)/debian/tmp/usr/lib/coq/user-contrib/MathComp

%:
	+dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) -j2
	$(MAKE) -f Makefile.coq html

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) install DSTROOT=$(CURDIR)/debian/tmp

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	rm -Rf html

.PHONY: override_dh_gencontrol
override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"
